#include <limits.h>
#include <libac.h>

int ds1820_temperature_10(unsigned char *addr)
{
	uint8_t device;

	for (device = 0; device < OW_DEVICES; device++) {

		if (!memcmp((void *)addr, (void *)&(ow_devices[device].rom_code),
					sizeof(ow_rom_code_st)))
			return (int)ds1820_temp10_C(device);
	}

	return -9999;
}

/*************************************EndOfFile***************************
$Id: $
vim:tw=78:ts=4:sw=4:ai:
*/
